Google Cloud Chronicle V1 Client - Class TokenPagination (0.7.1)

Reference documentation and code samples for the Google Cloud Chronicle V1 Client class TokenPagination.

Use tokens (custom keys) to get the next page of data.

Generated from protobuf message google.cloud.chronicle.v1.CustomAPIPagination.TokenPagination

Namespace

Google \ Cloud \ Chronicle \ V1 \ CustomAPIPagination

Methods

__construct

Constructor.

Parameters
Name Description
data array

Optional. Data for populating the Message object.

↳ next_page_token_json_path string

Required. Enter the field in the API response that contains the URL or token needed to fetch the next page of data.

↳ query_param string

Required. Specify the name of the query parameter for next page token in request.

getNextPageTokenJsonPath

Required. Enter the field in the API response that contains the URL or token needed to fetch the next page of data.

Returns
Type Description
string

setNextPageTokenJsonPath

Required. Enter the field in the API response that contains the URL or token needed to fetch the next page of data.

Parameter
Name Description
var string
Returns
Type Description
$this

getQueryParam

Required. Specify the name of the query parameter for next page token in request.

Returns
Type Description
string

setQueryParam

Required. Specify the name of the query parameter for next page token in request.

Parameter
Name Description
var string
Returns
Type Description
$this